# Class LinePlotter.LinesStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.LineStyle
uk.ac.starlink.ttools.plot2.layer.AuxLineStyle
uk.ac.starlink.ttools.plot2.layer.LinePlotter.LinesStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `LinePlotter`

public static class LinePlotter.LinesStyle extends AuxLineStyle
Style for line plotter. This decorates the LineStyle with a sort axis.

Since:
  15 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`LinesStyle(Color color, Stroke stroke, boolean antialias, Shader shader, Scaling scaling, Subrange dataclip, Color nullColor, AxisOpt sortaxis)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class AuxLineStyle

`getDataClip, getNullColor, getScaling, getShader`

### Methods inherited from class LineStyle

`createLineTracer, getAntialias, getColor, getLegendIcon, getStroke`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinesStyle

public LinesStyle(Color color, Stroke stroke, boolean antialias, Shader shader, Scaling scaling, Subrange dataclip, Color nullColor, AxisOpt sortaxis)
Constructor.

Parameters:
  `color` - default line colour
  `stroke` - line stroke
  `antialias` - whether line is to be antialiased (only likely to make a difference on bitmapped paper)
  `shader` - colour ramp
  `scaling` - colour ramp metric
  `dataclip` - colour ramp input range adjustment
  `nullColor` - colour to use for null aux values; if null, such segments are not plotted

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `AuxLineStyle`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `AuxLineStyle`